Skip to content

Your data / Gift planner

POST
https://ba.joexyz.online/api/v1/me/gift-inventories

Creates a gift inventory and returns it.

Authentication

Bearer Token — send Authorization: Bearer <token>. Inherited from folder "Your data".

Headers

NameValue
Content-Typeapplication/json

Bodyapplication/json

{
  "name": "EU",
  "gifts": [
    {
      "id": 5000,
      "count": 1
    },
    {
      "id": 5001,
      "count": 3
    },
    {
      "id": 5002,
      "count": 2
    },
    {
      "id": 5004,
      "count": 7
    },
    {
      "id": 5005,
      "count": 36
    },
    {
      "id": 5006,
      "count": 30
    }
  ],
  "giftBoxes": 341
}
curl -X POST https://ba.joexyz.online/api/v1/me/gift-inventories \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer {{api_key}}' \
  --data-raw '{
  "name": "EU",
  "gifts": [
    {
      "id": 5000,
      "count": 1
    },
    {
      "id": 5001,
      "count": 3
    },
    {
      "id": 5002,
      "count": 2
    },
    {
      "id": 5004,
      "count": 7
    },
    {
      "id": 5005,
      "count": 36
    },
    {
      "id": 5006,
      "count": 30
    }
  ],
  "giftBoxes": 341
}'
Response
{
  "data": {
    "id": "k571k0c4p3bmntpnng4p8kcaan7vss8k",
    "createdAt": "2025-11-20T19:16:23.521Z",
    "name": "EU",
    "giftBoxes": 341,
    "gifts": [
      {
        "id": 5000,
        "count": 1
      },
      {
        "id": 5001,
        "count": 3
      },
      {
        "id": 5002,
        "count": 2
      },
      {
        "id": 5004,
        "count": 7
      },
      {
        "id": 5005,
        "count": 36
      },
      {
        "id": 5006,
        "count": 30
      }
    ],
    "targets": []
  }
}

Joe's Blue Archive Tools API · exported Nov 1, 2026

llms.txtBuilt with yaakdoc